#ifndef _PROGRESS_WIN
#define _PROGRESS_WIN

#include <gtk/gtk.h>

struct ProgressWindow {
	GtkWidget* handle;
	
	GtkWidget* label;
	GtkWidget* progressbar;
	
	char* filename;
	
	void(*callback)(void*);
	void* callback_context;
};

struct ProgressWindow* progress_window_new(char* filename, void(*abortfunc)(void*), void* userdata);

void progress_window_destroy(struct ProgressWindow* window);
void progress_window_update(struct ProgressWindow* window, int current, int total);

#endif
